#!/bin/sh
if [ $# -lt 1 ]; then
	echo "Usage: sta_up.sh device [sta_device]"
	echo '  "device" is usually wlan0'
	echo '  "sta_device" defaults to sta0'
	exit 1
fi
if [ $# -lt 2 ]; then
	sta_device="sta0"
else
	sta_device="$2"
fi

iwconfig wlan0 mode managed || exit 1
../utils/add_sta "$1" "$sta_device" || exit 1
ifconfig "$1".11 up || exit 1
ifconfig "$sta_device" up || exit 1

echo "Now you can iwconfig $sta_device as usual (set essid etc.)"
echo "To start association, you have to set BSSID"
echo "(by invoking iwconfig $sta_device ap _DESIRED_BSSID_)."
